CREATE TABLE cst_transactions_gt (
    TRANSACTION_ID               NUMBER(18, 0) ,
    COST_ORG_NAME                VARCHAR2(960)     NOT NULL,
    COST_BOOK_CODE               VARCHAR2(120)     NOT NULL,
    ITEM_NUMBER                  VARCHAR2(1200)    NOT NULL,
    INVENTORY_ORG_NAME           VARCHAR2(960) ,
    TRANSACTION_NUMBER           VARCHAR2(960) ,
    TRANSACTION_DATE             TIMESTAMP(6)  ,
    COST_DATE                    TIMESTAMP(6)  ,
    TXN_SOURCE_REF_DOC_TYPE      VARCHAR2(200) ,
    TXN_SOURCE_REF_DOC_NUMBER    VARCHAR2(960) ,
    COSTING_STATUS               VARCHAR2(4)   ,
    RESOURCE_NAME                VARCHAR2(480) ,
    LE_TIMEZONE_CODE             VARCHAR2(200) ,
    TRANSACTION_TYPE             VARCHAR2(320) ,
    TRANSACTION_ID               NUMBER(18, 0) ,
    COST_ORG_NAME                VARCHAR2(960)     NOT NULL,
    COST_BOOK_CODE               VARCHAR2(120)     NOT NULL,
    ITEM_NUMBER                  VARCHAR2(1200)    NOT NULL,
    INVENTORY_ORG_NAME           VARCHAR2(960) ,
    TRANSACTION_NUMBER           VARCHAR2(960) ,
    TRANSACTION_DATE             TIMESTAMP(6)  ,
    COST_DATE                    TIMESTAMP(6)  ,
    TXN_SOURCE_REF_DOC_TYPE      VARCHAR2(200) ,
    TXN_SOURCE_REF_DOC_NUMBER    VARCHAR2(960) ,
    COSTING_STATUS               VARCHAR2(4)   ,
    RESOURCE_NAME                VARCHAR2(480) ,
    LE_TIMEZONE_CODE             VARCHAR2(200) ,
    TRANSACTION_TYPE             VARCHAR2(320) ,
    CONSTRAINT pk_cst_transactions_gt PRIMARY KEY (TRANSACTION_ID, TRANSACTION_ID)
);
